bin_PROGRAMS = supportware
supportware_SOURCES = ddaccessmanager.cpp ddaccessmanager.h ddbaseobject.cpp \
	ddbaseobject.h ddbasetime.cpp ddbasetime.h ddconfig.cpp ddconfig.h \
	dddataconnection.cpp dddataconnection.h dddataobject.cpp dddataobject.h dddataquery.cpp \
	dddataquery.h dddatatable.cpp dddatatable.h dddefines.h ddformchecker.cpp \
	ddformchecker.h ddiobuffer.cpp ddiobuffer.h ddioinfo.cpp ddioinfo.h ddiommap.cpp \
	ddiommap.h ddioobject.cpp ddioobject.h ddiourl.cpp ddiourl.h dditem.cpp dditem.h \
	dditemfactory.cpp dditemfactory.h dditemlink.cpp dditemlink.h dditemset.cpp dditemset.h \
	dditemsysval.cpp dditemsysval.h dditemtree.cpp dditemtree.h dditemtrval.cpp \
	dditemtrval.h ddlogmanager.cpp ddlogmanager.h ddmailmanager.cpp ddmailmanager.h \
	ddmapmulti.h ddmapptr.h ddmaprow.h ddmimemap.cpp ddmimemap.h ddstack.h ddstring.cpp \
	ddstring.h ddstringrow.cpp ddstringrow.h ddstringset.cpp ddstringset.h \
	ddthread.cpp ddthread.h ddthreadevent.cpp ddthreadevent.h ddthreadmutex.h \
	ddthreadrunnable.cpp ddthreadrunnable.h ddtoken.cpp ddtoken.h dduserid.cpp dduserid.h \
	ddusermanager.cpp ddusermanager.h ddusersessionmanager.cpp ddusersessionmanager.h \
	ddwebblock.cpp ddwebblock.h ddwebbuffer.cpp ddwebbuffer.h ddwebcategory.cpp \
	ddwebcgi.cpp ddwebcgi.h ddwebconnection.cpp ddwebconnection.h ddwebcookie.cpp \
	ddwebcookie.h ddwebdossier.cpp ddwebfile.cpp ddwebfile.h ddwebgroup.cpp ddwebgroup.h \
	ddwebobject.cpp ddweboverlay.cpp ddweboverlay.h ddwebpage.cpp ddwebpage.h \
	ddwebredirectmap.cpp ddwebredirectmap.h ddwebrelatedmanager.cpp ddwebrelatedmanager.h \
	ddwebrenderer.cpp ddwebrenderer.h ddwebrendertag.cpp ddwebrendertag.h ddwebrequest.cpp \
	ddwebrequest.h ddwebsearchkey.cpp ddwebsearchkey.h ddwebserver.cpp ddwebserver.h \
	ddwebsite.cpp ddwebsite.h ddwebview.cpp ddwebview.h main.cpp supportware.cpp \
	sxblockmenu.cpp sxblockmenu.h sxpage.cpp sxpage.h sxpageadmin.cpp sxpageadmin.h \
	sxpageasp.cpp sxpageasp.h sxpagefaqs.cpp sxpagefaqs.h sxpageforum.cpp \
	sxpageforumbase.cpp sxpagemembers.cpp sxpagemembers.h sxpagenews.cpp sxpagepager.cpp \
	sxpagepager.h sxpagerss.cpp sxpagerss.h sxpagesearch.cpp sxpagesearch.h sxsites.cpp \
	sxsites.h

# set the include path found by configure
INCLUDES = -I/usr/include/mysql $(all_includes)

# the library search path.
supportware_LDFLAGS = $(all_libraries) 
supportware_LDADD = -lpthread -lmysqlclient -lcrypt

noinst_HEADERS = ddwebcategory.h ddwebdossier.h sxpageforum.h sxpageforumbase.h \
	sxpagenews.h

